×

Discussion Board

Results 1 to 3 of 3
  1. #1
    Regular Contributor
    Join Date
    Mar 2010
    Location
    Ahemdabad
    Posts
    80

    Question S60 3rd Edition java development

    Hello everyone


    can you help me in following question?

    (1) which software is required for developing s60 3rd edition j2me based mobile application ?
    (2) give me related download link for required software ?

    is there any specific emulator require for the s60 3rd edition mobile application development?

    please help me

  2. #2
    Nokia Developer Expert
    Join Date
    Aug 2007
    Posts
    1,595

    Re: S60 3rd Edition java development

    Hello yatin.frankline,

    as for one, this depends on what devices do you target?:

    -S60 3rd Edition devices (initial Edition)
    -S60 3rd Edition, Feature Pack 1 devices
    -S60 3rd Edition, Feature Pack 2 devices
    -devices of all S60 3rd Editions?

    More spesifically, do you have some Edition specific features (certain Java APIs etc.) in mind which could make difference when choosing the matching SDK?

    The latest all-in one S60 SDKs (incl.S60 3rd Edition, Feature Pack 2 ) can be downloaded from here: Symbian, S60 platform, and S60 device SDKs

    For older S60 Editions (incl. S60 3rd Edition and S60 3rd Edition, Feature Pack 1), the related SDKs can be downloaded from here: S60 Platform SDKs for Symbian OS, for Java™


    Regards,
    r2j7
    Last edited by r2j7; 2010-06-08 at 17:52.
    [URL="http://library.forum.nokia.com/java"][B] >>> Java Developer's Library <<<[/B][/URL]
    [URL="https://www.developer.nokia.com/Resources/Support/Technical_support.xhtml"] [B]>>> Technical Support for Java ME development <<<[/B][/URL]
    [URL="https://publish.ovi.com/info/"][B]>>> Nokia Publish: reach millions of Nokia users worldwide through Nokia Store <<<[/B][/URL]

  3. #3
    Registered User
    Join Date
    Oct 2009
    Location
    Noida
    Posts
    941

    Re: S60 3rd Edition java development

    Quote Originally Posted by yatin.frankline View Post
    Hello everyone


    can you help me in following question?

    (1) which software is required for developing s60 3rd edition j2me based mobile application ?
    (2) give me related download link for required software ?

    is there any specific emulator require for the s60 3rd edition mobile application development?

    please help me
    R2j7 has given all the info you needed, I would just like to suggest if you want to target to all S60 3rd edition devices stick to S60 3rd Edition initial Edition /FP1 SDK only and limit yourself to the available J2me API's in this version that your application will be automatically supported by all advance versions.
    Thanks,
    Ekta

Similar Threads

  1. App. development for a subset of S60 3rd edition devices
    By acl_symbian in forum Symbian Signed Support, Application Packaging and Distribution and Security
    Replies: 5
    Last Post: 2009-09-07, 07:42
  2. Replies: 2
    Last Post: 2009-07-07, 09:13
  3. S60 3rd edition application development
    By liuxg in forum Symbian
    Replies: 0
    Last Post: 2007-08-02, 04:18
  4. S60 2nd OR 3rd edition for new software development
    By patil_ruturaj in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2006-06-30, 09:30
  5. S60 2nd OR 3rd edition for new software development
    By patil_ruturaj in forum Mobile Java Tools & SDKs
    Replies: 3
    Last Post: 2006-06-30, 08:57

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×